using System;
using System.Collections.Generic;
using System.Linq;

namespace Okruzno_IlijaDoncic
{
    class Program
    {
        static void Main()
        {
            int n = int.Parse(Console.ReadLine());
            string[] nizString = Console.ReadLine().Split();
            int[] niz = new int[n];
            niz[0] = 0;
            int suma = 0;
            for (int i = 1; i < n; i++)
            {
                if (i != 1 && i != n - 1 && int.Parse(nizString[i - 1]) > int.Parse(nizString[i]) && int.Parse(nizString[i - 2]) > int.Parse(nizString[i]) && int.Parse(nizString[i - 1]) > int.Parse(nizString[i + 1]) && int.Parse(nizString[i - 2]) > int.Parse(nizString[i + 1]))
                    suma--;
                if (!(int.Parse(nizString[i - 1]) > int.Parse(nizString[i])))
                {
                    suma++;
                    niz[i] = suma;
                }
                else
                    niz[i] = suma;
            }

            int q = int.Parse(Console.ReadLine());
            for (int i = 0; i < q; i++)
            {
                string[] unos = Console.ReadLine().Split();
                int l = int.Parse(unos[0]);
                int r = int.Parse(unos[1]);

                bool daLiMoze = true;
                if (r - l - (niz[r - 1] - niz[l - 1]) > 1)
                    daLiMoze = false;

                if (daLiMoze)
                    Console.WriteLine("DA");
                else
                    Console.WriteLine("NE");
            }
        }
    }
    // Ovom kodu doprineo bog programiranja - Ilija Doncic
}